using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.SC
{
    [Description("责任制部门岗位")]
    public class T_SC_DEPARTMENT_POST : MesEntityBase
    {
        /// <summary>
        /// 责任制岗位ID
        /// </summary>
        [Description("责任制组织架构")]
        [DataFieldForeignKey("Nav_Dept", "Nav_Posts")]
        public Guid DEPT_ID { get; set; }

        /// <summary>
        /// 导航:责任制岗位
        /// </summary>
        [Description("责任制组织架构")]
        public T_SC_DEPARTMENT Nav_Dept { get; set; }

        [Description("部门岗位")]
        [DataFieldForeignKey("Nav_Depost")]
        [FormFieldEdit]
        public Guid DEPOST_ID { get; set; }

        /// <summary>
        /// 导航:部门岗位
        /// </summary>
        [Description("导航:部门岗位")]
        public T_FM_USER_POST Nav_Depost { get; set; }
    }
}
